> ## Documentation Index
> Fetch the complete documentation index at: https://docs.callintel.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Schedule Batch Calls

> Schedule a batch of calls to be made at a specific time.



## OpenAPI

````yaml POST /batch/schedule-call
openapi: 3.0.0
info:
  title: CallIntel API
  version: 1.0.0
  description: API for managing AI-powered voice calls, batch processing, and scheduling.
servers:
  - url: https://py.callai.rejoicehub.com
    description: Production Server
security:
  - bearerAuth: []
  - apiKeyAuth: []
paths:
  /batch/schedule-call:
    post:
      tags:
        - Batch
      summary: Schedule Batch Calls
      description: Schedule a batch of calls to be made at a specific time.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScheduledCallRequest'
      responses:
        '200':
          description: Batch scheduled successfully.
components:
  schemas:
    ScheduledCallRequest:
      type: object
      properties:
        name:
          type: string
          description: Name of the batch/schedule.
        to_number:
          type: array
          items:
            type: object
            properties:
              phone_number:
                type: string
              name:
                type: string
        from_number:
          type: string
        scheduled_time:
          type: string
          format: date-time
      required:
        - to_number
        - from_number
        - scheduled_time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````